"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
const inversify_1 = require("inversify");
const socket_io_1 = require("socket.io");
const message_1 = require("./controllers/message");
const src_1 = require("@/src");
const container = new inversify_1.Container();
container.bind(src_1.TYPE.Controller).to(message_1.MessageController);
const app = (0, http_1.createServer)();
const io = new socket_io_1.Server(app, {
    cors: {
        origin: "*",
    },
});
const server = new src_1.InversifySocketServer(container, io);
server.build();
app.listen(3000);
console.log("Server is listening on port 3000");
//# sourceMappingURL=server.js.map