"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_commonjs_1 = __importDefault(require("@rollup/plugin-commonjs"));
const plugin_json_1 = __importDefault(require("@rollup/plugin-json"));
const plugin_node_resolve_1 = __importDefault(require("@rollup/plugin-node-resolve"));
const plugin_typescript_1 = __importDefault(require("@rollup/plugin-typescript"));
const pkg = require("../../package.json");
const LIBRARY_NAME = "inversify-socket-utils";
exports.default = {
    input: "src/index.ts",
    output: [
        { file: pkg.main, format: "umd", name: LIBRARY_NAME, sourcemap: true },
        { file: pkg.module, format: "es", sourcemap: true },
    ],
    plugins: [(0, plugin_json_1.default)(), (0, plugin_typescript_1.default)({ module: "esnext" }), (0, plugin_commonjs_1.default)(), (0, plugin_node_resolve_1.default)()],
    watch: { include: "src/**" },
};
//# sourceMappingURL=rollup-config.js.map