"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParameterMetadata = exports.getActionMetadata = exports.getControllerMetadata = exports.getControllersFromContainer = void 0;
require("reflect-metadata");
const constants_1 = require("./constants");
const getControllersFromContainer = (container, forceControllers) => {
    if (container.isBound(constants_1.TYPE.Controller)) {
        return container.getAll(constants_1.TYPE.Controller);
    }
    else if (forceControllers) {
        throw new Error(constants_1.NO_CONTROLLERS_FOUND);
    }
    else {
        return [];
    }
};
exports.getControllersFromContainer = getControllersFromContainer;
const getControllerMetadata = (constructor) => {
    const controllerMetadata = Reflect.getMetadata(constants_1.METADATA_KEY.Controller, constructor);
    return controllerMetadata;
};
exports.getControllerMetadata = getControllerMetadata;
const getActionMetadata = (constructor) => {
    const actionMetadata = Reflect.getMetadata(constants_1.METADATA_KEY.Action, constructor);
    return actionMetadata;
};
exports.getActionMetadata = getActionMetadata;
const getParameterMetadata = (constructor) => {
    const parameterMetadata = Reflect.getMetadata(constants_1.METADATA_KEY.Parameter, constructor);
    return parameterMetadata;
};
exports.getParameterMetadata = getParameterMetadata;
//# sourceMappingURL=utils.js.map